Please Update Your Browser

We've noticed that you're using an old version of Internet Explorer that is not officially supported by BPCLEtool.
Using this browser with BPCLEtool will result in reduced functionality and significant loading delays.

We highly recommend you use one of the following browsers:

Install Google Chrome Install Firefox Update Internet Explorer

BPCLE Knowledge Base

Help and advice on understanding the BPCLE Framework and using BPCLEtool

Technical Help

BPCLEtool has been designed to work on all modern desktop browsers, including:

  • Google Chrome
  • Firefox
  • Safari
  • Opera
  • Internet Explorer 9+

Users on Internet Explorer 7 or Internet Explorer 8 will experience reduced functionality and significant loading delays. We highly recommend that you upgrade your browser, as indicated on the login page.

Users on older browsers may also require Adobe Flash Player to view BPCLEtool help videos.

Javascript must be turned on.

Help, Feedback and Reporting Bugs

If you are a standard user and require an assessment to be created, reassigned or deleted, please contact your organisation administrator. If you are an organisation administrator and require your organisation details to be updated, please contact your CTN.

For questions, comments or to report a bug, please contact Darcy Associates via the BPCLEtool help desk.

Back to Top